Subject: RE: su questions
From: "Rodrigo Serra" <[email-masked]>
To: "'Pierre A. Humblet'" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 4 Apr 2003 18:29:06 -0300

Pierre,

Yes work without "Act as part of the operating system".
In the next days I install a fresh Windows .net release and test again and
share the result.

Thank
Rodrigo

-----Mensaje original-----
De: [email-masked] [mailto:[email-masked]] En nombre de
Pierre A. Humblet
Enviado el: Viernes, 04 de Abril de 2003 06:21 p.m.
Para: Rodrigo Serra
CC: [email-masked]
Asunto: Re: su questions

Rodrigo Serra wrote:
> 
> Pierre
> 
> I create a new user named init, and assigned privileges "Act as part of
the
> operating system", "Create a token object", "Log on as service", and
> "Replace a process level token" and the ssh and su with no password prompt
> work!!!
> 
> I not understand what happened. In the documentation of openssh mentioned
> the necessary privileges and not indicate "Create a token object" but
> indicate "Increase quotas". This privileges not exists in my Windows .net
> 
> Well now setguid works in my Windows .net box.

Great. I don't think you need "Act as part of the operating system",
try removing it to increase security and let us know.
According to MS "Increase Quota" is needed for CreateProcessAsUser
<http://msdn.microsoft.com/library/default.asp?url=/library/en-us/dllproc/ba
se/createprocessasuser.asp>
but your box seems to be special.

Pierre

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/